commit 6461143b44f81a4190d3f1cb02238750536f08e4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 13 22:20:54 2019 -0700

    2.6.0

 NEWS                   | 23 +++++++++++++++++++++++
 configure.ac           |  2 +-
 docs/harfbuzz-docs.xml |  4 ++++
 src/hb-font.cc         |  2 +-
 src/hb-gdi.cc          |  2 +-
 src/hb-ot-layout.cc    |  2 ++
 src/hb-ot-layout.h     |  2 +-
 src/hb-ot-meta.cc      |  4 ++--
 src/hb-ot-meta.h       |  2 +-
 src/hb-ot-metrics.cc   |  8 ++++----
 src/hb-ot-metrics.h    |  2 +-
 src/hb-version.h       |  6 +++---
 12 files changed, 44 insertions(+), 15 deletions(-)

commit e56d4ff43b97ca35a8324be2acf1c8644f3b0a24
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 13 21:02:47 2019 -0700

    Rename hb_ot_meta_get_entries() to +hb_ot_meta_get_entry_tags()

 docs/harfbuzz-sections.txt | 2 +-
 src/hb-ot-meta.cc          | 8 ++++----
 src/hb-ot-meta.h           | 8 ++++----
 src/test-ot-meta.cc        | 4 ++--
 test/api/test-ot-face.c    | 2 +-
 test/api/test-ot-meta.c    | 6 +++---
 6 files changed, 15 insertions(+), 15 deletions(-)

commit aade9b70aabd8a97dd8a28cda2cf4d0694dd7350
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 13 16:09:20 2019 -0700

    [pool] Fix alignment assertion
    
    I *think* it should fix https://github.com/harfbuzz/harfbuzz/issues/1901
    
    Ie. if on a system, alignof(void*) < sizeof(void*)...

 src/hb-pool.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b31d627f151c8eeeb12ed84c3282392d6adbc5b4
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Aug 11 23:34:48 2019 +0430

    Increase subset fuzzer timeout to 16s
    
    To satisfy -valgrind and -tsan bots, very ugly

 test/fuzzing/run-subset-fuzzer-tests.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b9cf191fe1fb13bd4bf914e0f4c03c3b2795a73
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Aug 11 23:07:29 2019 +0430

    [ci] Disable vcpkg thus running the test suit in Windows
    
    vcpkg apparently doesn't like to work the same way used to anymore, lets disable it

 appveyor.yml | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 60d9f0097580a339c7ffe582cc0657698e315cea
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Aug 11 16:15:19 2019 +0430

    Implement opbd table parsing
    
    https://developer.apple.com/fonts/TrueType-Reference-Manual/RM06/Chap6opbd.html

 src/Makefile.sources            |   1 +
 src/hb-aat-layout-opbd-table.hh | 111 ++++++++++++++++++++++++++++++++++++++++
 src/hb-ot-face-table-list.hh    |   1 +
 src/hb-ot-layout.cc             |   1 +
 4 files changed, 114 insertions(+)

commit 8762676e34cef13f4b263b377b485b199b66d4d1
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Aug 10 01:26:55 2019 +0430

    [os2] Replace null pool addr compare by checking vital fields (#1896)

 src/hb-ot-os2-table.hh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1f926fb2b642094a15e686be6a910e709b15ebd0
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Aug 7 20:22:20 2019 +0430

    [fvar] Use roundf instead hardcoding round logic

 src/hb-ot-var-fvar-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60485ab0473630c585bb96fcdc14dbe415edf4f2
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Aug 7 23:23:06 2019 +0430

    [os2] Get defined lower/upper optical size

 src/hb-ot-os2-table.hh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 321d5588d4fa96bcc4aa558d2f982430031f242e
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Jul 2 16:30:57 2019 -0700

    [subset] Add subsetting for GPOS Lookup Type 1: Single Adjustment Positioning Subtable

 src/hb-ot-layout-gpos-table.hh                     | 157 ++++++++++++++++++++-
 test/subset/data/Makefile.am                       |   1 +
 test/subset/data/Makefile.sources                  |   1 +
 .../gpos1_2_font.keep-layout-retain-gids.41,43.otf | Bin 0 -> 2068 bytes
 .../gpos1_2_font.keep-layout-retain-gids.41,46.otf | Bin 0 -> 2232 bytes
 .../gpos1_2_font.keep-layout-retain-gids.43,46.otf | Bin 0 -> 2096 bytes
 ...eep-layout-retain-gids.retain-all-codepoint.otf | Bin 0 -> 3668 bytes
 test/subset/data/fonts/gpos1_2_font.otf            | Bin 0 -> 4564 bytes
 test/subset/data/tests/layout.gpos.tests           |  11 ++
 9 files changed, 166 insertions(+), 4 deletions(-)

commit 37572882e7a685d804384eaf11f0f3e53af38341
Author: Qunxin Liu <qxliu@google.com>
Date:   Tue Jun 25 13:17:30 2019 -0700

    [subset] cmap table to use _subset2 and new iterator frameworks

 src/hb-ot-cmap-table.hh                          | 670 +++++++++++------------
 src/hb-subset.cc                                 |   2 +-
 test/api/fonts/Roboto-Regular.D7,D8,D9,DA,DE.ttf | Bin 2816 -> 2532 bytes
 test/api/fonts/Roboto-Regular.abc.ttf            | Bin 2460 -> 2168 bytes
 test/api/fonts/Roboto-Regular.ac.ttf             | Bin 2268 -> 1988 bytes
 5 files changed, 320 insertions(+), 352 deletions(-)

commit 06596cf90700ff76f23297141c656dfc317eece6
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Aug 3 13:55:34 2019 +0200

    Some styling

 README.python.md | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 5848c890cf2f8a14c9d9e329c4f8283feac1f0c3
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Aug 3 14:19:28 2019 +0430

    [metrics] Add metrics tags documentation

 src/hb-ot-metrics.h | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 4d1872b8e019659a92a59b1d7cba6fd81ed3607d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Aug 3 14:06:46 2019 +0430

    [base] Add documentation for baseline tags from ot spec

 src/hb-ot-layout.h | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit bbeee84a7f048633b0aaa95aa6129871a3a22164
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Aug 3 13:47:55 2019 +0430

    [meta] Add metadata tags documentation from ot spec

 src/hb-ot-meta.h | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 521c7013abab84a0994fda3977ccd1ba3d496242
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 18:10:40 2019 +0430

    [cpal] revert port to dagger
    
    It has a different semantic, maybe we should just do a zero memset,
    letting Behdad to decide.

 src/hb-ot-color-cpal-table.hh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 8014ce198a09d20cb947e4a465c7d893a84c55be
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 17:31:34 2019 +0430

    [cpal] port to dagger (#1887)

 src/hb-ot-color-cpal-table.hh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d67201da5a2142cb9d039a8cb2cb713556d945af
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 17:20:18 2019 +0430

    [colr] minor

 src/hb-ot-color-colr-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c0a2e68ad91e55a11162da0cddb355810a4c8a0
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 13:16:15 2019 +0430

    [fuzz] Add dummy call of the added APIs (#1886)

 test/api/test-ot-face.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit e5cf9718c07c8bf1fc20cd573cef2d125c28281f
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 04:44:23 2019 +0430

    [colr][feat][meta] Port sub_array iteration to dagger (#1868)

 src/hb-aat-layout-feat-table.hh | 37 ++++++++++++++++++-------------------
 src/hb-ot-color-colr-table.hh   | 14 ++++++--------
 src/hb-ot-meta-table.hh         |  8 +++++---
 3 files changed, 29 insertions(+), 30 deletions(-)

commit 9f2b4956b484b802eb37f36974c11785c90493ce
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 04:42:51 2019 +0430

    [base] Add hb_ot_layout_get_baseline API

 docs/harfbuzz-sections.txt   |  2 +
 src/hb-ot-face-table-list.hh |  6 ++-
 src/hb-ot-layout.cc          | 87 ++++++++++++--------------------------------
 src/hb-ot-layout.h           | 32 ++++++++++++++++
 test/api/test-baseline.c     |  4 +-
 5 files changed, 63 insertions(+), 68 deletions(-)

commit 40a4b6ddbdc84a25f76bd4d7ff41b1322fe95b83
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 27 13:33:46 2019 +0430

    [var] Add a new API, hb_font_set_var_named_instance

 docs/harfbuzz-sections.txt     |  1 +
 src/hb-font.cc                 | 28 ++++++++++++++++++++++++++++
 src/hb-font.h                  |  4 ++++
 test/api/test-ot-extents-cff.c | 32 ++++++++++++++++++++++++++++++++
 4 files changed, 65 insertions(+)

commit b6a2281f1a2d29cc5797f4f266800f7141591585
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 03:45:45 2019 +0430

    [meta] Make values match their enum type naming

 src/hb-ot-meta.h        | 10 +++++-----
 test/api/test-ot-meta.c |  4 ++--
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 20072a2eca8943a82e36cbb603ad31481cfc56cd
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 03:43:15 2019 +0430

    [metrics] Make values match their enum type naming

 src/hb-ot-font.cc          |  12 +++---
 src/hb-ot-metrics.cc       | 100 ++++++++++++++++++++++-----------------------
 src/hb-ot-metrics.h        |  58 +++++++++++++-------------
 test/api/test-ot-metrics.c |  26 ++++++------
 4 files changed, 98 insertions(+), 98 deletions(-)

commit ed2965a8527ee89994c8eecf451bf71846b3ca86
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 30 03:34:10 2019 +0430

    [base] Don't use enum inside the table

 src/hb-ot-layout-base-table.hh | 31 ++++++++++++++-----------------
 1 file changed, 14 insertions(+), 17 deletions(-)

commit 388fa9b32611a8726b9bbfe7ccf8cdbcd818fd70
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 27 14:56:18 2019 +0430

    [lcar] flip for and switch position

 src/hb-aat-layout-lcar-table.hh | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 4e1da6bb612b0c6386ab143dbb4ca19ff25bc2ba
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Jul 29 22:03:56 2019 +0430

    [metrics] Rename hb_ot_metrics_t to hb_ot_metrics_tag_t

 src/hb-ot-metrics.cc | 22 +++++++++++-----------
 src/hb-ot-metrics.h  | 16 ++++++++--------
 src/hb-ot-metrics.hh |  6 +++---
 3 files changed, 22 insertions(+), 22 deletions(-)

commit 2c2a2b97dbe24ae2e09018f435559c97a460bdcb
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Jul 29 22:01:13 2019 +0430

    [meta] Rename hb_ot_meta_t to hb_ot_meta_tag_t

 src/hb-ot-meta-table.hh | 10 +++++-----
 src/hb-ot-meta.cc       | 10 +++++-----
 src/hb-ot-meta.h        | 14 +++++++-------
 src/test-ot-meta.cc     |  4 ++--
 test/api/test-ot-meta.c |  6 +++---
 5 files changed, 22 insertions(+), 22 deletions(-)

commit 7bcc5dfa97a43d9c5f6dfdb87b4f0d5a589ecd48
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 28 20:55:50 2019 -0700

    [iter] Fix accumulate to accept const types

 src/hb-iter.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e21bdf500d4ecc3a5fd6f79aabf6232f3967035e
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 22:59:09 2019 +0430

    Increase subset fuzzer timeout to 8s
    
    Probably we should just remove timeout when running tsan and vaglrind here, the flaky bots

 test/fuzzing/run-subset-fuzzer-tests.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87454c447d705327a26c1f879e0a4f3002ae2667
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 20:46:47 2019 +0430

    [base] fix logic

 src/hb-ot-layout-base-table.hh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 69655d5bc3c7b240424545bdef197d9d7251e509
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 20:39:20 2019 +0430

    [base] minor

 src/hb-ot-layout-base-table.hh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit d9c44e7239daf59e283fecd4166c984b43d48e24
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 20:35:32 2019 +0430

    [base] Check if the returned base_coord is valid

 src/hb-ot-layout-base-table.hh | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 53853c044a6382ece51393dfc3a4fe6a5f8a5a23
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 20:23:48 2019 +0430

    [meta] minor

 src/hb-ot-meta-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed126d8c37c45d8d60eb0368143c6776d1fcfbff
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 20:21:59 2019 +0430

    [base] fix build

 src/hb-ot-layout-base-table.hh | 3 +++
 1 file changed, 3 insertions(+)

commit c7b22b96cc64c81248362a70f2d60d93ee520f2d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 19:46:57 2019 +0430

    [base] minor

 src/hb-ot-layout-base-table.hh | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit a157342fce2616141ee62d68ad8e3fb93e52187e
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 18:54:13 2019 +0430

    [base] Fix use of bsearch

 src/hb-ot-layout-base-table.hh | 94 ++++++++++++++----------------------------
 1 file changed, 31 insertions(+), 63 deletions(-)

commit eddd45653282ffff8ef002ad2163bcf8bf4f3df1
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 28 02:21:54 2019 +0430

    [base] minor spacing

 src/hb-ot-layout-base-table.hh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 0a18efd766b3b6cc987ee18785f7858fe2bd1c67
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 26 14:34:26 2019 -0700

    Minor

 src/hb-ot-layout-gsub-table.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60d0fe2eda9c0eb67f50d61e905b584b8edc3e95
Merge: 6d53cda1 658424b2
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 27 01:20:55 2019 +0430

    Merge pull request #1872 from darktohka/cmake-regex-fix
    
    [cmake] Fix CMake build on newer CMake versions

commit 658424b29efbc758541a790193c42171bb7fa965
Author: Derzsi Dániel <daniel@tohka.us>
Date:   Fri Jul 26 22:52:03 2019 +0300

    [cmake] Fix CMake build on newer CMake versions
    
    Unfortunately, newer CMake versions die during regex variable extraction, causing the build to fail.
    
    This is caused by the lack of escaping used around variables in the extract_make_variable function, causing these variables to be automatically unwrapped into empty strings.

 CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6d53cda1baf130853e5725fe8fea1d1c5f766a79
Author: Zero King <l2dy@icloud.com>
Date:   Fri Jul 26 15:43:51 2019 +0000

    [util] Fix memory leak

 util/options.cc | 1 +
 1 file changed, 1 insertion(+)

commit d3d99f8bb6ad77d1ac73901885acfffd3bb3e7f7
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 26 16:46:04 2019 +0430

    [metrics] Expose raw OS2/HHEA asc/dsc values using private tags (#1867)

 src/hb-ot-metrics.cc | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit aaffe41094f8ddefad6f33e86cbd04a24dd9bfff
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 26 01:14:37 2019 +0430

    [meta] minor, simplify iterator

 src/hb-ot-meta-table.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 62932c14bd256f10031380047ededd93a2aacd88
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 26 00:30:29 2019 +0430

    [meta] Rename ot-metadata to ot-meta per review

 docs/harfbuzz-sections.txt                      |  7 +++---
 src/Makefile.am                                 |  8 +++----
 src/Makefile.sources                            |  4 ++--
 src/harfbuzz.cc                                 |  2 +-
 src/hb-ot-meta-table.hh                         |  8 +++----
 src/{hb-ot-metadata.cc => hb-ot-meta.cc}        | 22 +++++++++---------
 src/{hb-ot-metadata.h => hb-ot-meta.h}          | 30 ++++++++++++-------------
 src/hb-ot.h                                     |  2 +-
 src/{test-ot-metadata.cc => test-ot-meta.cc}    | 10 ++++-----
 test/api/Makefile.am                            |  2 +-
 test/api/{test-ot-metadata.c => test-ot-meta.c} | 26 ++++++++++-----------
 11 files changed, 61 insertions(+), 60 deletions(-)

commit 821d9e9034c57c5c593741284b134c76cc3c7c0f
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 26 00:08:58 2019 +0430

    Use .sub_array for DataMap tags iteration

 src/hb-ot-meta-table.hh | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit a250af98ae74c94ac3aa069e6e5958a937586bfc
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Jul 24 03:10:41 2019 +0430

    [meta] Add max value to hb_ot_metadata_t

 src/hb-ot-metadata.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 80e246a1f2b3c4e3c25a4a3ec042e7610944abd4
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Jul 24 03:08:34 2019 +0430

    [meta] Add a test program for metadata

 src/Makefile.am         |  5 ++++
 src/test-ot-metadata.cc | 70 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

commit bc65ebbce765545bc4455d8ae5ba4a6a99201e41
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Jul 24 02:28:09 2019 +0430

    [meta] hb_ot_metadata_get_entries, tags iteration API

 src/hb-ot-meta-table.hh     | 17 +++++++++++++++++
 src/hb-ot-metadata.cc       | 28 ++++++++++++++++++++++++----
 src/hb-ot-metadata.h        |  8 +++++++-
 test/api/test-ot-metadata.c | 26 ++++++++++++++++++++++++++
 4 files changed, 74 insertions(+), 5 deletions(-)

commit 3ac03bd67cb9f4a72e636bf56bc4a79e04bcba62
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Jul 22 23:35:08 2019 +0430

    [meta] New API, hb_ot_metadata_reference_entry for fetching meta entries

 docs/harfbuzz-sections.txt   |   6 +++++
 src/Makefile.sources         |   2 ++
 src/harfbuzz.cc              |   1 +
 src/hb-config.hh             |   1 +
 src/hb-ot-face-table-list.hh |   4 ++-
 src/hb-ot-face.cc            |   1 +
 src/hb-ot-layout.cc          |   1 -
 src/hb-ot-meta-table.hh      |  20 +++++++++++++++
 src/hb-ot-metadata.cc        |  57 ++++++++++++++++++++++++++++++++++++++++++
 src/hb-ot-metadata.h         |  57 ++++++++++++++++++++++++++++++++++++++++++
 src/hb-ot.h                  |   1 +
 test/api/Makefile.am         |   1 +
 test/api/fonts/meta.ttf      | Bin 0 -> 320 bytes
 test/api/test-ot-metadata.c  |  58 +++++++++++++++++++++++++++++++++++++++++++
 14 files changed, 208 insertions(+), 2 deletions(-)

commit aab8e084873eb098c55ed2569c15bb308c59e436
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 26 02:19:22 2019 +0430

    minor spacing fix (#1869)

 src/hb-open-type.hh     | 16 ++++++++--------
 src/hb-ot-vorg-table.hh |  2 +-
 src/hb-vector.hh        |  8 ++++----
 3 files changed, 13 insertions(+), 13 deletions(-)

commit d791446a930f8e2009c5ab5ea389da98d1ed9b95
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 26 02:12:06 2019 +0430

    [feat] minor

 src/hb-aat-layout-feat-table.hh | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 356b68a00afaf972908cb2a478170e3933eaf974
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Jul 25 23:22:00 2019 +0430

    [metrics] Add a test that actually practices variation (#1858)

 test/api/fonts/TestCFF2VF.otf | Bin 0 -> 3636 bytes
 test/api/test-ot-metrics.c    |  28 ++++++++++++++++++++++++++--
 2 files changed, 26 insertions(+), 2 deletions(-)

commit a744fdc6c8217d0d4bfce30e638ed2e5200cf380
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Jul 25 14:49:02 2019 +0430

    Add _MAX_VALUE to hb_ot_metrics_t (#1861)

 src/hb-ot-metrics.cc | 4 ++--
 src/hb-ot-metrics.h  | 4 +++-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 069872c51b31fe1a618e3ca5c3b0ab8ccba0cf81
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Jul 25 14:27:43 2019 +0430

    minor

 src/hb-ot-layout.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 737eb85a4ec8861791157d83dd170ac48fa2cfc7
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Thu Jul 25 14:26:30 2019 +0430

    Add _MAX_VALUE to disabled baseline types enum

 src/hb-ot-layout.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit dd9a0ed3f0c0a8a94e107689318463d62414cf60
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Jul 24 00:47:19 2019 +0430

    Replace 0x7FFFFFFFu in enums with HB_TAG_MAX_SIGNED

 src/hb-aat-layout.h | 4 ++--
 src/hb-ot-var.h     | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 636ae422372ed7f17b695e78c9c9015188b204e8
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Jul 22 22:50:21 2019 +0430

    minor, comment out meta table in list till its use

 src/hb-ot-face-table-list.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04c11a19b75663af35d16c827e295aa2e555d110
Merge: 41ab56e0 c9796d15
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Jul 22 16:44:47 2019 +0200

    Merge pull request #1851 from khaledhosny/fix-sbix-extents
    
    Fix sbix glyph extents

commit 41ab56e09586b675b1c5de745cf5f520a808bba1
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Jul 22 18:46:52 2019 +0430

    Implement meta table parsing

 src/Makefile.sources         |  1 +
 src/hb-ot-face-table-list.hh |  1 +
 src/hb-ot-layout.cc          | 15 ++++----
 src/hb-ot-meta-table.hh      | 89 ++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 99 insertions(+), 7 deletions(-)

commit a51aa951b5ad8da4ac7effc891437345e012a0ac
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Jul 22 18:35:55 2019 +0430

    [metrics] Fix _get_variation API to works with actual coord values

 src/hb-ot-metrics.cc       | 16 ++++++++--------
 src/hb-ot-metrics.h        |  2 +-
 test/api/test-ot-metrics.c |  2 +-
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 77141dff7d73fa6290f51c9e1ca56ce51a5deec0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 22 07:48:32 2019 -0400

    [metrics] _-prefix internal symbol

 src/hb-ot-font.cc    | 12 ++++++------
 src/hb-ot-metrics.cc |  8 ++++----
 src/hb-ot-metrics.hh |  6 +++---
 3 files changed, 13 insertions(+), 13 deletions(-)

commit 89228ccb9a81b728bc9955082c17c68c848c50c4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Jul 22 07:07:37 2019 -0400

    Fix warning on IBM compilers
    
    Fixes https://github.com/harfbuzz/harfbuzz/issues/1852

 src/hb.hh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c9796d15e1ec5f8939f8b1ae368cb3352b6a9cb9
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Jul 22 03:57:24 2019 +0200

    Fix sbix glyph extents
    
    * The ‘height’ needs to be negated since the API returns “distance from
      top to bottom side”.
    * Similarly, the ‘y_offset‘ needs to be added to the height to get the
      ‘y_bearing’, since sbix’s offset is “the point in the glyph relative
      to its lower-left corner which corresponds to the origin” while
      ‘y_bearing’ is the “top side of glyph from origin”.
    
    With these changes the sbix glyph metrics return values similar to other
    tables, as they were otherwise unusable.

 src/hb-ot-color-sbix-table.hh                            |   4 ++--
 test/api/test-ot-color.c                                 |   4 ++--
 .../fonts/fcbaa518d3cce441ed37ae3b1fed6a19e9b54efd.ttf   | Bin 0 -> 3128 bytes
 test/shaping/data/in-house/tests/color-fonts.tests       |   1 +
 4 files changed, 5 insertions(+), 4 deletions(-)

commit 759f3bd486c99bb09fb9fa5f42e621ec21399df8
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Mon Jul 22 02:06:07 2019 +0430

    [metrics] Don't use metrics API in _common
    
    As it is exposed with a different condition

 src/hb-ot-metrics.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb8bd2f7eccde483d33406f102c69260fde6fe23
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Jul 16 22:27:01 2019 +0430

    Add hb_gdi_face_create API
    
    Based on Konstantin Ritt work posted on mailing list

 CMakeLists.txt             |  8 +++++
 appveyor.yml               |  2 +-
 configure.ac               | 23 +++++++++++++++
 docs/harfbuzz-sections.txt |  5 ++++
 src/Makefile.am            |  8 +++++
 src/Makefile.sources       |  3 ++
 src/harfbuzz.cc            |  1 +
 src/hb-directwrite.cc      |  9 ++----
 src/hb-gdi.cc              | 73 ++++++++++++++++++++++++++++++++++++++++++++++
 src/hb-gdi.h               | 39 +++++++++++++++++++++++++
 src/hb-uniscribe.cc        |  7 -----
 src/hb.hh                  |  5 ++++
 12 files changed, 168 insertions(+), 15 deletions(-)

commit 3d03bb84d44bc9ef8a77e974d0e937a3385ffb92
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sun Jul 21 12:38:04 2019 +0430

    [metrics] minor, tweak comment

 src/hb-ot-metrics.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e540d402f6120e8761ff655bdbffb07d91a5f643
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 19 11:19:31 2019 -0700

    [docs] Minor

 docs/harfbuzz-sections.txt | 2 ++
 src/hb-ot-math.h           | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 00e13985fbc5291850b8ea3d021e5f83c8a297e3
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 23:03:51 2019 +0430

    Revert hhea fallback to OS/2 to its reverse way
    
    As searching number of hhea having fonts beats the number of OS/2
    having ones in macOS 10.14.2

 src/hb-ot-metrics.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit c13ef9cc64a447e74abfed75f4f418bf644be88d
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 15:01:37 2019 +0430

    Bring back asc/desc abs logic used to be in hmtx table

 src/hb-ot-metrics.cc | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 772e62688cd72c02910f623653d2ec8ef6990928
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 14:50:31 2019 +0430

    Make HB_TINY builds work again by separating the always needed part

 src/hb-ot-font.cc    | 12 +++++-----
 src/hb-ot-metrics.cc | 62 ++++++++++++++++++++++++++++++++++++++++------------
 src/hb-ot-metrics.hh |  5 +++++
 3 files changed, 59 insertions(+), 20 deletions(-)

commit cb704337407ae9ccb57ae7631567002028b93c84
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 14:33:57 2019 +0430

    Merge _get_position_internal into _get_position

 src/hb-ot-metrics.cc | 143 ++++++++++++++++++---------------------------------
 src/hb-ot-metrics.hh |   5 --
 2 files changed, 49 insertions(+), 99 deletions(-)

commit ac3518af58464b33f1b16b34b8846c302b935208
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 14:03:36 2019 +0430

    Define post table only when used

 src/hb-ot-face-table-list.hh | 2 ++
 1 file changed, 2 insertions(+)

commit 471f798ace08b4551f0c9ead6855a4e49b72ba25
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 14:00:20 2019 +0430

    Merge ot-metrics-internal.cc with ot-metrics now that isn't needed in subset

 src/Makefile.sources          |   3 --
 src/harfbuzz.cc               |   1 -
 src/hb-ot-metrics-internal.cc | 100 ------------------------------------------
 src/hb-ot-metrics.cc          |  71 +++++++++++++++++++++++++++++-
 4 files changed, 70 insertions(+), 105 deletions(-)

commit 29444d7e9fd5007bf39efa2cf57a0117aabfc770
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 13:52:21 2019 +0430

    Don't cache ascender/descender metrics

 src/hb-ot-font.cc       | 24 ++++++++----------------
 src/hb-ot-hmtx-table.hh | 20 --------------------
 2 files changed, 8 insertions(+), 36 deletions(-)

commit 5e28c2654d030655d7b93ec0d6213d2b9fb2956e
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 14:08:11 2019 +0430

    [doc] minor, improve hb-ot-metrics doc a bit

 src/hb-ot-metrics.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit ac8b6e330a443a66c3e0fb83af9794310688d848
Merge: ec8dde81 08b48e89
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 13:16:16 2019 +0430

    Merge pull request #1844 from ebraminio/hhea
    
    Fallback hhea's ascender/descender to OS2

commit 08b48e89d3c1bafe252badc7c65a9fc2f166a693
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 12:53:40 2019 +0430

    [os2] minor spacing tweaks

 src/hb-ot-os2-table.hh | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 54b9ab704dbf62e2916f1d5276ffef2543bcc2a7
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Sat Jul 20 12:51:38 2019 +0430

    Fallback hhea's ascender/descender to OS2

 src/hb-ot-metrics-internal.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ec8dde8142fbf9e5bc0aee9318a7c4e73d61c758
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jul 19 11:13:50 2019 -0700

    [metrics] Fall back to hhea if OS2 metrics are empty
    
    Reinstates previous logic, even if it might be unnecessary.

 src/hb-ot-metrics-internal.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 2e5b49d11d1dbfd44d8c640cb9ce5de7d26ca873
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 19 11:41:07 2019 +0430

    Add HB_NO_METRICS and fix HB_TINY build (#1839)

 src/hb-config.hh              | 1 +
 src/hb-ot-face-table-list.hh  | 2 --
 src/hb-ot-metrics-internal.cc | 8 +++++++-
 src/hb-ot-metrics.cc          | 6 ++++++
 4 files changed, 14 insertions(+), 3 deletions(-)

commit bdfdac0f26aafb3e9ff2db123116f0406fa49efc
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Fri Jul 19 10:33:00 2019 +0430

    [ci][fuzzer] print valgrind failure if an error happened

 test/fuzzing/run-shape-fuzzer-tests.py | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 2bd953ff4f656f042dba2845f0479a7fe7c439a6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 18 14:25:45 2019 -0700

    [metrics] Fix weird use of xor
    
    I believe that was a try to use one approach as fallback to other.  But
    felt wrong.  Just believe what's in OS/2 table to be correct.

 src/hb-ot-metrics-internal.cc | 12 ++++++------
 src/hb-ot-os2-table.hh        |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 9675a067bf1cc0e5d4707c1345736fda4be75b82
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 18 14:15:08 2019 -0700

    [ot-metrics] Touch up

 src/harfbuzz.cc         |  2 ++
 src/hb-ot-hmtx-table.hh | 19 +++++++++----------
 2 files changed, 11 insertions(+), 10 deletions(-)

commit 87e628436e32786635796fbb07ed200f8c0da68f
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Tue Nov 20 23:26:46 2018 +0330

    Implement a simple API for fetching opentype metrics
    
    Fixes https://github.com/harfbuzz/harfbuzz/pull/1432

 docs/harfbuzz-sections.txt    |   9 +++
 src/Makefile.sources          |   6 ++
 src/hb-ot-face-table-list.hh  |   2 +
 src/hb-ot-hhea-table.hh       |   2 +
 src/hb-ot-hmtx-table.hh       |  62 +++++++++----------
 src/hb-ot-layout.cc           |   1 -
 src/hb-ot-metrics-internal.cc |  94 +++++++++++++++++++++++++++++
 src/hb-ot-metrics.cc          | 135 ++++++++++++++++++++++++++++++++++++++++++
 src/hb-ot-metrics.h           |  92 ++++++++++++++++++++++++++++
 src/hb-ot-metrics.hh          |  35 +++++++++++
 src/hb-ot-os2-table.hh        |   4 ++
 src/hb-ot-post-table.hh       |   5 +-
 src/hb-ot.h                   |   1 +
 test/api/Makefile.am          |   1 +
 test/api/test-ot-metrics.c    |  54 +++++++++++++++++
 15 files changed, 467 insertions(+), 36 deletions(-)

commit ed67efcc8c3638c625b2904833af3f27ef51db14
Author: David Corbett <corbett.dav@husky.neu.edu>
Date:   Mon Jun 17 10:16:24 2019 -0400

    Revert "[Myanmar] Prevent reordering between Asat and Dot below"
    
    This reverts commit 1c8654ead41ca746d577549c92d2a41c594ab639.

 src/hb-unicode.hh | 3 ---
 1 file changed, 3 deletions(-)

commit 504bb17287c978d60a4a515555852465319f74ed
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Jul 17 22:57:46 2019 +0430

    [ci] Bring back -linux-arm64 bot
    
    Let's see if 576065b has fixed it

 .circleci/config.yml | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 6157bbe5127bbcbd17348622601976cffcd11c63
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 17 11:20:08 2019 -0700

    Revert "Revert previous change"
    
    This reverts commit b8e90ca1a10fbd472eda1aa8cc3797011da52356.
    
    Works now.

 src/hb-subset-plan.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 576065b4429109359c3af491b34b9ab0c6b149ee
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 17 11:19:34 2019 -0700

    [iter] Fix reduce type deduction

 src/hb-iter.hh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4552864c82c876da738ec3bf772cc089216f2fd2
Author: Ebrahim Byagowi <ebrahim@gnu.org>
Date:   Wed Jul 17 22:08:39 2019 +0430

    [ci] Disable -linux-arm64 bot
    
    This is its failure https://circleci.com/gh/harfbuzz/harfbuzz/99864
    
    Trying to fix like ee05627, interestingly, makes the bot and the
    others to fail like this https://circleci.com/gh/harfbuzz/harfbuzz/99841

 .circleci/config.yml | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit b8e90ca1a10fbd472eda1aa8cc3797011da52356
Author: Ebrahim Byagowi <ebrahim@gnu.org>
